<div class="container mt-4">
  <div class="row">
    <div class="col-md-6 mx-auto">
      <form [formGroup]="authForm" (ngSubmit)="onSubmit()">
        <div class="form-group">
          <label for="email">E-mail</label>
          <input
            type="email"
            class="form-control"
            id="email"
            name="email"
            formControlName="email"
            [ngClass]="{
              'is-invalid':
                authForm.get('email').invalid && authForm.get('email').touched
            }"
          />
        </div>
        <div class="form-group">
          <label for="password">{{
            editMode ? "New password" : "Password"
          }}</label>
          <input
            type="password"
            class="form-control"
            id="password"
            name="password"
            formControlName="password"
            [ngClass]="{
              'is-invalid':
                authForm.get('password').invalid &&
                authForm.get('password').touched
            }"
          />
        </div>
        <div class="alert alert-danger" *ngIf="error">
          {{ error }}
        </div>
        <div class="mt-3" *ngIf="!editMode">
          <button
            class="btn btn-primary"
            type="submit"
            [disabled]="authForm.invalid"
          >
            {{ loginMode ? "Login" : "Signup" }}
          </button>
          |
          <button class="btn btn-primary" (click)="changeMode()" type="button">
            Switch to {{ loginMode ? "Signup" : "Login" }}
          </button>
        </div>
        <div class="mt-4" *ngIf="editMode">
          <button class="btn btn-success w-100" [disabled]="authForm.invalid">
            Save
          </button>
        </div>
      </form>
    </div>
  </div>
</div>
